<?
include 'config.php';
include 'func.php';
head();
////////////////////////////////    
echo head . 'Восстановление пароля' . div;

switch ($_GET['act']) {
    default:
    echo link1 . '<center><b><big>Шаг 1</big><br/> Введите свой ID либо логин</b></center>' . div;
    echo link2 . '<center><form action="?act=2" method="post" name="form">
    <input name="id" type="text" maxlength="25" /><br/>';  
    echo '<input name="submit" class="button" type="submit" value="Далее" /></form>' . div;
    break;
    
    case '2':
    if ( is_numeric($_POST['id']) ) {
        $id = num($_POST['id']);
    } else {
        $user = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `login` = '".html($_POST['login'])."'"));
        $id = $user['id'];
    }

    $user = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$id."'"));
    if (empty($user)) $err = 'Пользователь не найден в БД';
    
    if (empty($err)) {
        echo link1 . '<center><b><big>Шаг 2</big><br/> Доступные варианты восстановления пароля</b></center>' . div;
        echo link2 . '<form action="pass.php?act=3&id='.$id.'" method="post" name="form">';
        echo '<center><select name="pass">';
        
        if (!empty($user['bezopas_email']))
        echo '<option value="1">E-Mail</option>';
        if (!empty($user['bezopas_icq']))
        echo '<option value="2">ICQ</option>';
        if (!empty($user['bezopas_vopros']) AND !empty($user['bezopas_otvet']))
        echo '<option value="3">Вопрос/Ответ</option>';
        echo '</select><br/><input name="submit" type="submit" class="button" value="Далее" /></form>';  
        echo '</center>' . div;
    } else {
        echo link2 . '<b>Ошибка:</b> ' . $err . div;
    } 
    break;
    
    case '3':
    if ($_POST['pass'] == 1) {
        echo link1 . '<center><b><big>Шаг 3</big><br/> Отправка...</b></center>' . div;
        $id = num($_GET['id']);
        $q = mysql_query("SELECT * FROM `profile` WHERE `id` = '".$id."' LIMIT 1");
        $user = mysql_fetch_assoc($q);
        
        $subject = "Восстановление пароля";
        $regmail = "Здравствуйте $user[login]<br />
        Ваши данные для авторизации:
        ID: ".$user['id']."<br/>
        Логин: ".$user['login']."<br/>
        Пароль: ".$user['pass']."<br/>
        С уважением, администрация сайта jamob.ru<br />
        ";
        $adds="From: \"password@$_SERVER[HTTP_HOST]\" <password@$_SERVER[HTTP_HOST]>\n";
        //$adds = "From: <$set[reg_mail]>\n";
        //$adds .= "X-sender: <$set[reg_mail]>\n";
        $adds .= "Content-Type: text/html; charset=utf-8\n";
        mail($user['bezopas_email'],'=?utf-8?B?'.base64_encode($subject).'?=',$regmail,$adds);
     
        
        echo link2 . "<center>Данные отправлены на E-mail: \"$user[bezopas_email]\"</center>" . div;
    } 
    
    elseif ($_POST['pass'] == 2) {
        echo link1 . '<center><b><big>Шаг 3</big><br/> Отправка...</b></center>' . div;
    $id = num($_GET['id']);
        $q = mysql_query("SELECT * FROM `profile` WHERE `id` = '".$id."' LIMIT 1");
        $user = mysql_fetch_assoc($q);
        function Encode($str,$type=u)
            {
            $conv=array();
            for($x=192;$x<=239;$x++)
            $conv['u'][chr($x)]=chr(208).chr($x-48);
            for($x=240;$x<=255;$x++)
            $conv['u'][chr($x)]=chr(209).chr($x-112);
            $conv['u'][chr(168)]=chr(208).chr(129);
            $conv['u'][chr(184)]=chr(209).chr(209);
            $conv['w']=array_flip($conv['u']);
            if($type=='w' || $type=='u')
            return strtr($str,$conv[$type]);
            else
            return $str;
            }
                            include('WebIcqLite.class.php');
            $text=Encode(NULL . 'Ваши данные для авторизации:
        ID: '.$user['id'].'
        Логин: '.$user['login'].'
        Пароль: '.$user['pass'].'
        С уважением, администрация сайта jamob.ru','w');
            $icq = new WebIcqLite();
            if($icq->connect($UIN, $PASSWORD)){
            if(!$icq->send_message($user['bezopas_icq'], $text)){
            echo $icq->error;
            }else{
            echo link2 . "<center>
            Сообщение успешно отправлено!</center>" . div;
            
            }
            $icq->disconnect();
            }else{
            echo $icq->error;
            }
    } elseif ($_POST['pass'] == 3) {
    $id = num($_GET['id']);
        $q = mysql_query("SELECT * FROM `profile` WHERE `id` = '".$id."' LIMIT 1");
        $user = mysql_fetch_assoc($q);
        echo link2;
        echo '<form action="pass.php?act=4&id='.(int)$_GET['id'].'" method="post" name="form">';
        echo '<center><b>Ответьте на вопрос:</b> ' . $user['bezopas_vopros'] .'<br/>';
        echo "<b>Ответ:</b><br /><input type='text' name='otvet' maxlength='500' /><br />";
        echo '<input name="submit" type="submit" class="button" value="Готово" /></form></center>';  
        echo div;
    }
    break;
    
    case '4':
    echo link1 . '<center><b><big>Шаг 4</big><br/> Результат...</b></center>' . div;
        $id = num($_GET['id']);
        $otvet = html($_POST['otvet']);
        $q = mysql_query("SELECT * FROM `profile` WHERE `id` = '".$id."' LIMIT 1");
        $user = mysql_fetch_assoc($q);
        
        echo link2;
        if ($otvet != $user['bezopas_otvet']) {
            echo 'Не верный ответ';
        } else {
            echo 'Ваши данные:<br/>
            ID: '.$user['id'].'<br/>
            Логин: '.$user['login'].'<br/>
            Пароль: '.$user['pass'].'<br/>';
        }
        echo div;
        
        
    break;
    
}
////////////////////////////////   

foot();
?>